{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp058_attacks": {
			"states": {
				"default": {
					"transitions": [
						{
							"claw": "query.variant == 1 && query.is_delayed_attacking"
						},
						{
							"tail_sting_light": "query.variant == 2 && query.is_delayed_attacking"
						},
						{
							"tail_sting_heavy": "query.variant == 3 && query.is_delayed_attacking"
						}
					],
					"blend_transition": 0.1
				},
				"claw": {
					"animations": ["attack_lash"],
					"transitions": [
						{
							"default": "query.any_animation_finished"
						}
					],
					"blend_transition": 0.1
				},
				"tail_sting_light": {
					"animations": ["attack_sting"],
					"transitions": [
						{
							"default": "query.any_animation_finished"
						}
					],
					"blend_transition": 0.1
				},
				"tail_sting_heavy": {
					"animations": [
						{
							"attack_sting": 2
						}
					],
					"transitions": [
						{
							"tail_sting_heavy_2": "query.any_animation_finished"
						}
					],
					"blend_transition": 0.1
				},
				"tail_sting_heavy_2": {
					"animations": [
						{
							"attack_sting": 2
						}
					],
					"transitions": [
						{
							"default": "query.any_animation_finished"
						}
					],
					"blend_transition": 0.1
				}
			}
		},
		"controller.animation.manalabs_scp.scp058_movement": {
			"states": {
				"default": {
					"animations": ["idle"],
					"transitions": [
						{
							"walk": "query.ground_speed > 0.3"
						}
					],
					"blend_transition": 0.1
				},
				"walk": {
					"animations": ["walk"],
					"transitions": [
						{
							"default": "query.ground_speed == 0 && query.all_animations_finished"
						}
					],
					"blend_transition": 0.1
				}
			}
		}
	}
}